summaryrefslogtreecommitdiffstats
path: root/src/jaegertracing/thrift/contrib/transport-sample/thriftme.sh
diff options
context:
space:
mode:
Diffstat (limited to '')
-rw-r--r--src/jaegertracing/thrift/contrib/transport-sample/thriftme.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/src/jaegertracing/thrift/contrib/transport-sample/thriftme.sh b/src/jaegertracing/thrift/contrib/transport-sample/thriftme.sh
new file mode 100644
index 000000000..3b18f909e
--- /dev/null
+++ b/src/jaegertracing/thrift/contrib/transport-sample/thriftme.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+THRIFT_COMPILER=./thrift
+OUTPUT_FOLDER=$PWD
+
+if [ ! -e "${THRIFT_COMPILER}" ]
+then
+ THRIFT_COMPILER=thrift
+ command -v ${THRIFT_COMPILER} >/dev/null 2>&1
+ if [ $? -eq 1 ]; then
+ echo
+ echo "thrift compiler not found."
+ echo
+ exit
+ fi
+fi
+
+${THRIFT_COMPILER} --gen cpp Sample.thrift
+
+echo
+echo "Files have been generated in gen-cpp."
+
+exit
+